0.9.0 and compile errors with ofxHTTP and POCO

I’m trying to move a project over to 0.9.0 and I get lots of errors when it tries to compile with ofxHTTP that seem to relate to Poco. I’ve had a look through the changes list and I can’t see anything related to addons etc but I’m pretty sure it’s something I’m dong wrong. Also tried using QT Creator and I get the same errors.

I get over 10 errors, the first one being:

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/__functional_base:63:21: Invalid operands to binary expression (‘const Poco::Net::MediaType’ and ‘const Poco::Net::MediaType’)

I’ve tried importing the project via the new project generator and also deleted the old .app but still no joy, just a lot of errors.

Any help would be great.